Subject: bug#15945: chown: Does now allow setting user and users login group with numerical user ID

From: Bob Proulx <[email-masked]>
Date: Thu, 21 Nov 2013 11:01:44 -0700

Andreas Schwab wrote:
> Eric Blake writes:
> > so it looks like we have a bug that if OWNER is numeric, we aren't
> > looking up OWNER's login group.
> 
> There may not be a unique uid to user name mapping.

I think that anyone using this would expect it would take the first
one returned.  The same that happens right now in a "normal" system.
The same name that 'ls -l' would return.  We don't worry that 'ls -l'
might be mapping a name that might not be unique and shouldn't here
either.

I realize that 'nscd' breaks that long standing assumption that order
matters by returning one randomly.  I consider that a bug in nscd.

Bob